Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.event
Interface DummyActionListenerSource

    @Generated(value={"RichFaces CDK","4.1.0.20110910-M2"})
    public interface DummyActionListenerSource

Method Summary
`void` | `addActionListener(javax.faces.event.ActionListener listener)` Add a new `ActionListener` to the set of listeners interested in being notified when `LazyActionListener`s occur.
`javax.faces.event.ActionListener[]` | `getActionListeners()` Return the array of registered `ActionListener`s for this instance.
`void` | `removeActionListener(javax.faces.event.ActionListener listener)` Remove an existing `ActionListener` (if any) from the set of listeners interested in being notified when `LazyActionListener`s occur.

Method Detail

### addActionListener

    void addActionListener(javax.faces.event.ActionListener listener)

  Add a new `ActionListener` to the set of listeners interested in being notified when `LazyActionListener`s occur.

  Parameters:
    `listener` - The `ActionListener` to be added
  Throws:
    `java.lang.NullPointerException` - if `listener` is `null`

### removeActionListener

    void removeActionListener(javax.faces.event.ActionListener listener)

  Remove an existing `ActionListener` (if any) from the set of listeners interested in being notified when `LazyActionListener`s occur.

  Parameters:
    `listener` - The `ActionListener` to be removed
  Throws:
    `java.lang.NullPointerException` - if `listener` is `null`

### getActionListeners

    javax.faces.event.ActionListener[] getActionListeners()

  Return the array of registered `ActionListener`s for this instance. If there are no registered listeners, a zero-length array is returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.